/*
 * Class TO_SPECIAL [NATURAL_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1991 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1991 [] = {0xFF01,1551,1990,854,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1991 [] = {0xFF01,1990,854,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1991 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1991 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1991 [] = {0xFF01,1990,854,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1991 [] = {0xFF01,1990,854,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1991 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1991 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1991 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1991 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1991 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1991 [] = {1990,854,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1991 [] = {0xFF01,1990,854,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1991 [] = {0xFF01,1965,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1991 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1991 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1991 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1991[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1991), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1991), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1991), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1991), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1991), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1991), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1991), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1991), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1991), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1991), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1991), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1991), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1991), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1991), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1991), 10503, 0},
	{EIF_GENERIC(NULL), 10496, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10497, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1991), 10498, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1991), 10499, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10500, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10501, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10502, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1991), -1, 0xFFFFFFFF},
};
void Init1991(void)
{
	IDSC(desc_1991, 0, 1990);
	IDSC(desc_1991 + 1, 1, 1990);
	IDSC(desc_1991 + 32, 1422, 1990);
}


#ifdef __cplusplus
}
#endif
